Groovy Documentation

## org.vertx.groovy.deploy.impl.groovy
[Groovy] Class GroovyVerticleFactory

    java.lang.Object
      org.vertx.groovy.deploy.impl.groovy.GroovyVerticleFactory

All Implemented Interfaces:
  VerticleFactory

    class GroovyVerticleFactory

Authors:
  Tim Fox

Constructor Summary
`GroovyVerticleFactory()`

Method Summary
`Verticle` | `createVerticle(java.lang.String main, java.lang.ClassLoader cl)`
`java.lang.String` | `getLanguage()`
`void` | `init(VerticleManager mgr)`
`boolean` | `isFactoryFor(java.lang.String main)`
`void` | `reportException(java.lang.Throwable t)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyVerticleFactory

    GroovyVerticleFactory()

Method Detail

### createVerticle

    Verticle createVerticle(java.lang.String main, java.lang.ClassLoader cl)

### getLanguage

    @Override
    java.lang.String getLanguage()

### init

    @Override
    void init(VerticleManager mgr)

### isFactoryFor

    @Override
    boolean isFactoryFor(java.lang.String main)

### reportException

    void reportException(java.lang.Throwable t)

Groovy Documentation